Subject: bug#6000: describe-text-sexp does not know window-width

From: Lennart Borgman <[email-masked]>
Date: Thu, 22 Apr 2010 14:15:26 +0200

In describe-text-sexp there is a call to window-width. I believe this
gives unreliable results because the help-window might not be select
at that point always.

This shows up in the display of (what-cursor-position t) where the
sexp are sometimes unnecessary hidden behind "[Show]".

A possible good enough cure is to surround the call to window-width
with something like this

   (with-selected-window (or (get-buffer-window "*Help*") (selected-window))
     (window-width))